#!/bin/ksh
#
# Goes through source tree and processes local makefiles
# usage: build.ksh [-doc] [-test]
# -doc: builds Javadoc
# -test: run unit tests
#

pack_root=$XMLBROKER_HOME/com/jmrosengard/xmlbroker
subdir="os broker soapipr javaipr deploy client"

for d in $subdir
do
 cd $pack_root/$d 
 echo "[Processing $PWD]"
 make -j 2
done
for d in $subdir
do
 jd=$jd" "com.jmrosengard.xmlbroker.$d
done
cd $XMLBROKER_HOME
if [[ $1 = "-doc" ]];
then
javadoc -d $XMLBROKER_HOME/doc/javadoc -private -author $jd
fi
if [[ $1 = "-test" ]];
then
for d in $jd
do
 java $d
done
fi
