
package com.jmrosengard.xmlbroker.broker;

/**
* PortKey is a utility class that computes and
* encapsulates a port key. Each port (e.g. service) is identified
* by a URI like <i>http://www.jmrosengard.com/xmlbroker#demo1</i>
* as of the SOAP specifications. A custom-hash key is provided
* to avoid <i>hash collision</i>--given that the domain part of
* the URI is constant. The object is immutable.
*/
public class PortKey{
private String keyVal;

 public PortKey(String uri) throws SoapReqException{
  int i;
  if((i=uri.indexOf('#'))!=-1)keyVal=uri.substring(i+1,uri.length());
  else throw new SoapReqException("Invalid port: "+uri);
  // remove any trailing `"'
  if((i=keyVal.indexOf('"'))!=-1)keyVal=keyVal.substring(0,i);
 }
 public String toString(){
  return keyVal;
 }
 public int hashCode(){
  return keyVal.hashCode();
 }
 public boolean equals(Object o){
  return o!=null && o instanceof PortKey &&
   keyVal.equals(((PortKey)o).toString());
 }
}
